Bug 234868 - devel/p5-Data-MessagePack-Stream: fails to build on i386 with lld as system linker
Summary: devel/p5-Data-MessagePack-Stream: fails to build on i386 with lld as system l...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks: 214864
  Show dependency treegraph
 
Reported: 2019-01-11 14:17 UTC by Ed Maste
Modified: 2020-06-25 14:01 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
patch (1003 bytes, patch)
2020-06-11 17:48 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2019-01-11 14:17:17 UTC
http://package18.nyi.freebsd.org/build.html?mastername=headi386PR214864-default&build=2019-01-05_21h00m02s
http://package18.nyi.freebsd.org/data/headi386PR214864-default/2019-01-05_21h00m02s/logs/errors/p5-Data-MessagePack-Stream-0.07_2.log

ld: error: relocation R_386_PC32 cannot be used against symbol malloc; recompile with -fPIC
>>> defined in /lib/libc.so.7
>>> referenced by unpack.c:183
>>>               unpack.o:(msgpack_unpacker_init) in archive msgpack-0.5.7/src/.libs/libmsgpack.a

ld: error: relocation R_386_PC32 cannot be used against symbol malloc; recompile with -fPIC
>>> defined in /lib/libc.so.7
>>> referenced by unpack.c:188
>>>               unpack.o:(msgpack_unpacker_init) in archive msgpack-0.5.7/src/.libs/libmsgpack.a

ld: error: relocation R_386_PC32 cannot be used against symbol msgpack_zone_new; recompile with -fPIC
>>> defined in msgpack-0.5.7/src/.libs/libmsgpack.a(zone.o)
>>> referenced by unpack.c:194
>>>               unpack.o:(msgpack_unpacker_init) in archive msgpack-0.5.7/src/.libs/libmsgpack.a
...
Comment 1 Ed Maste freebsd_committer 2019-07-24 19:35:41 UTC
lld has been enabled as system linker for i386 on stable/12 in advance of 12.1 (base svn r350297, a few minutes ago)
Comment 2 Ed Maste freebsd_committer 2020-06-10 21:03:03 UTC
builds on i386 with
CFLAGS_i386=-fPIC
added and
BROKEN_i386
removed
Comment 3 Mikael Urankar freebsd_committer 2020-06-11 15:46:23 UTC
-fPIC is also needed for aarch64
Comment 4 Mikael Urankar freebsd_committer 2020-06-11 17:48:18 UTC
Created attachment 215458 [details]
patch
Comment 5 Ed Maste freebsd_committer 2020-06-11 17:53:23 UTC
Comment on attachment 215458 [details]
patch

Patch LGTM
Comment 6 commit-hook freebsd_committer 2020-06-25 14:01:15 UTC
A commit references this bug:

Author: mikael
Date: Thu Jun 25 14:00:15 UTC 2020
New revision: 540392
URL: https://svnweb.freebsd.org/changeset/ports/540392

Log:
  devel/p5-Data-MessagePack-Stream: fix build on i386 and aarch64

  PR:		234868
  Reported by:	emaste
  Reviewed by:	emaste
  Approved by:	kuriyama (maintainer, timeout)

Changes:
  head/devel/p5-Data-MessagePack-Stream/Makefile